Name:		qtcurve-kde4
Version:	1.8.14
Release:	6%{?dist}
Summary:	This is a set of widget styles for Qt4/KDE4 based apps

License:	GPLv2+
URL:		http://www.kde-look.org/content/show.php?content=40492
Source0:	http://craigd.wikispaces.com/file/view/QtCurve-KDE4-%{version}.tar.bz2

BuildRequires:	kde-workspace-devel
BuildRequires:	gettext

Requires:	kde-runtime%{?_kde4_version: >= %{_kde4_version}}

%description
QtCurve is a desktop theme for the GTK+ and Qt widget toolkits,
allowing users to achieve a uniform look between these widget toolkits.

%prep
%setup -q -n QtCurve-KDE4-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast -C %{_target_platform} DESTDIR=%{buildroot}
# may want to consider patching catalog name in case of possible conflicts -- rex
%find_lang qtcurve 


%files -f qtcurve.lang
%doc AUTHORS README TODO COPYING ChangeLog
%{_kde4_appsdir}/QtCurve/
%{_kde4_appsdir}/color-schemes/*.colors
%{_kde4_appsdir}/kstyle/themes/qtcurve.themerc
## No GUI .desktop file
%{_kde4_appsdir}/kwin/*.desktop
%{_kde4_libdir}/kde4/kstyle_qtcurve_config.so
%{_kde4_libdir}/kde4/kwin3_qtcurve.so
%{_kde4_libdir}/kde4/kwin_qtcurve_config.so
%{_kde4_libdir}/kde4/plugins/styles/qtcurve.so


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.14-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 09 2014 Rex Dieter <rdieter@fedoraproject.org> - 1.8.14-5
- .spec cleanup
- drop versioned kde-workspace dep, use kde-runtime instead

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Aug 21 2012 Rex Dieter <rdieter@fedoraproject.org> 1.8.14-1
- 1.8.14

* Mon Jul 23 2012 Jaroslav Reznik <jreznik@redhat.com> - 1.8.12-3
- fix 4.8.90+ api change FTBFS for KWin (#831958)

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 16 2012 Rex Dieter <rdieter@fedoraproject.org> 1.8.12-1
- update to 1.8.12

* Wed Feb 29 2012 Jaroslav Reznik <jreznik@redhat.com> - 1.8.11-1
- update to 1.8.11

* Mon Feb 27 2012 Jaroslav Reznik <jreznik@redhat.com> - 1.8.10-1
- update to 1.8.10

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb 02 2011 Thomas Janssen <thomasj@fedoraproject.org> 1.8.4-1
- update to 1.8.4

* Mon Dec 06 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.8.1-1
- update to 1.8.1

* Thu Nov 11 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.7.0-1
- update to 1.7.0

* Wed Sep 29 2010 jkeating - 1.6.3-2
- Rebuilt for gcc bug 634757

* Sun Sep 26 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.6.3-1
- bugfix update 1.6.3

* Mon Sep 13 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.6.0-1
- qtcurve-kde4 1.6.0

* Sun Aug 08 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.5.2-1
- qtcurve-kde4 1.5.2

* Thu Jul 08 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.5.1-1
- qtcurve-kde4 1.5.1 bugfix release

* Thu Jul 01 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.5.0-1
- qtcurve-kde 1.5.0

* Sun Jun 06 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.4.3-1
- qtcurve-kde 1.4.3

* Mon May 17 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.4.0-1
- qtcurve 1.4.0 

* Mon Apr 12 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.3.0-1
- qtcurve 1.3.0

* Tue Mar 02 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.1.1-1
- New upstream source 1.1.1

* Tue Feb 23 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.1.0-1
- New upstream source 1.1.0

* Mon Feb 01 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.2-1
- Update to upstream source 1.0.2

* Mon Jan 11 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.1-1
- Update to source 1.0.1

* Thu Nov 19 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.69.2-1.1
- rebuild (for qt-4.6.0-rc1, f13+)

* Sun Nov 01 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.69.2-1
- Updated to source 0.69.2

* Mon Oct 12 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.69.0-1
- Updated to source version 0.69.0
- Made the QtCurve dir owned
- Removed unneeded scriptlets (no shlibs)
- Dropped unneeded BR
- Notified upstream about the borked windeco
- sed cleanup

* Sun Oct 04 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.68.1-3
- Added build comment
- Better use of name macro

* Mon Sep 28 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.68.1-2
- Changed to lowercase name for sanity

* Fri Sep 25 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.68.1-1
- Initial Release 0.68.1-1
